netif_napi_add
Prev | Driver Support | Next

## Name

netif_napi_add — initialize a napi context

## Synopsis

`void netif_napi_add (` | struct net_device * | dev,
| struct napi_struct * | napi,
| int (* | poll`(`struct napi_struct *, int`)`,
| int | weight`)`;

## Arguments

`dev`

  network device

`napi`

  napi context

`poll`

  polling function

`weight`

  default weight

## Description

`netif_napi_add` must be used to initialize a napi context prior to calling *any* of the other napi related functions.

Prev | Up | Next
netdev_priv | Home | netif_start_queue